Subject: Organic Grain Source Needed

From: [email-masked] (P Okerholm)
Date: 21 Jun 1995 18:08:50 -0400

I am looking for a source of organic grain to be used for spawn. I
would like to find a source in the East if possible. I will be buying in
small quantities (50 or 100# bags). Rye is preferred but oats or wheat
could also be used. I will also need a source of organic rice bran in the
near future. My location is Maine.
Thanks,
Paul